Subject: RE: bug#29347: 27.0.50; C-g doesn't quit minibuffer

From: Drew Adams <[email-masked]>
Date: Sun, 19 Nov 2017 11:11:38 -0800 (PST)

> > > I meant enable-recursive-minibuffers, which AFAIK doesn't have any
> > > indications.
> >
> > A recursive minibuffer can be exited like an ordinary minibuffer, and
> > exiting it will return to the buffer from where you entered it.
> 
> And that buffer to which you return is also a minibuffer.  IOW, if you
> are N levels deep in a recursive minibuffer, you cannot exit it until
> you type C-g N times.  This could be perceived as "C-g doesn't quit
> the minibuffer".

Clearly C-g _did_ quit the current minibuffer, in that scenario.
If you are in the Nth minibuffer then hitting C-g N times quits
N minibuffers - you are no longer in any minibuffer.  (To quit
all minibuffers you can use C-].)

I don't think that's what the problem reported refers to.
That's the normal behavior, and it always has been.